package simulation;

public class ComponentRoute {
    private final Component component;
    private final Building outputBuilding;
    private int x;
    private int y;

    public ComponentRoute(Component component, Building outputBuilding, int x, int y) {
        this.component = component;
        this.outputBuilding = outputBuilding;
        this.x = x;
        this.y = y;
    }

    public Component getComponent() {
        return component;
    }

    public Building getOutputBuilding() {
        return outputBuilding;
    }

    public void setX(int x) {
        this.x = x;
    }

    public void setY(int y) {
        this.y = y;
    }
}
